import { FrameworkDetector, ScanContext, RouteBinding, HookBinding } from '../../types.js';

declare class LaravelDetector implements FrameworkDetector {
    readonly name = "laravel";
    readonly language = "php";
    readonly filePattern: RegExp;
    detect(projectRoot: string, files: string[]): Promise<boolean>;
    extractRoutes(filePath: string, content: string, ctx: ScanContext): Promise<RouteBinding[]>;
    extractHooks(filePath: string, content: string, ctx: ScanContext): Promise<HookBinding[]>;
}

export { LaravelDetector };
